OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PGeom

# PGeom_SurfaceOfLinearExtrusion Class Reference

`#include <PGeom_SurfaceOfLinearExtrusion.hxx>`

Inheritance diagram for PGeom_SurfaceOfLinearExtrusion:

[legend]

## Public Member Functions
Standard_EXPORT | PGeom_SurfaceOfLinearExtrusion ()
| Creates a SurfaceOfLinearExtrusion with default values. .
Standard_EXPORT | PGeom_SurfaceOfLinearExtrusion (const Handle(PGeom_Curve)&aBasisCurve, const gp_Dir &aDirection)
| Creates a SurfaceOfLinearExtrusion with these values. .
| PGeom_SurfaceOfLinearExtrusion (const Storage_stCONSTclCOM &a)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT PGeom_SurfaceOfLinearExtrusion::PGeom_SurfaceOfLinearExtrusion | ( |  | ) |

Standard_EXPORT PGeom_SurfaceOfLinearExtrusion::PGeom_SurfaceOfLinearExtrusion | ( | const Handle(PGeom_Curve)& | aBasisCurve,
|  | const gp_Dir & | aDirection
| ) |

PGeom_SurfaceOfLinearExtrusion::PGeom_SurfaceOfLinearExtrusion | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const PGeom_SurfaceOfLinearExtrusion::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom_SweptSurface.

The documentation for this class was generated from the following file:

- PGeom_SurfaceOfLinearExtrusion.hxx